import 'dart:async';

import 'package:flutter/services.dart';
import 'dart:convert';

class LauncherAssist {
  static const MethodChannel _channel =
      const MethodChannel('launcher_assist');

  static getAllApps() async {
    String json = await _channel.invokeMethod('getAllApps');
    return JSON.decode(json);
  }

  static launchApp(String packageName) {
    _channel.invokeMethod("launchApp", { "packageName": packageName });
  }

  static getWallpaperBase64() async {
    String base64 = await _channel.invokeMethod('getWallpaper');
    return base64;
  }
}
